GET /messaging/v1/email/definitions

Overview

Gets a list of send definitions.

URL Parameters

Name Type Description
$filter string Filter by status type. Accepted values are active, inactive, or deleted. Valid operations are eq and neq.
$pageSize integer Number of definitions, which are array elements, to return per paged response.
$page integer Page number to return.
$orderBy string Sort by a dimension. You can sort by only one dimension. Accepted values are definitionKey, name, createdDate, modifiedDate, and status.

Usage

Example Request

Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET  /messaging/v1/email/definitions/?$filter=status%20eq%20active&$pageSize=10&$page=1&$orderBy=name
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

HTTP/1.1 200 OK
{
  "requestId": "ba9633fa-5c8d-4c42-8efa-a16412ac0c53",
  "definitions": [
    {
      "definitionKey": "2FA_order_accounts",
      "status": "Active",
      "name": "My Unique Definition Name",
      "createdDate": "2018-07-18T19:52:00",
      "modifiedDate": "2018-07-18T19:52:00"
    }
  ],
  "count": 1,
  "page": 1,
  "pageSize": 10
}

HTTP Responses

Response Reason
200 OK Success. Review example response.
400 Bad Request Invalid request
403 Forbidden Failed to pass authorization.
500 Server Error Internal error
Last Updated: Jun 8, 2021